:host {
  max-width: 100%;
}

.table-wrapper {
  overflow: auto auto;
  max-height: calc(100vh - 210px);

  .filter-wrapper {
    padding: 16px;
    background-color: var(--card-header);
    display: flex;
    gap: 16px;
    border-top: 1px solid var(--separations-base);
    border-left: 1px solid var(--separations-base);
    border-right: 1px solid var(--separations-base);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;

    fw-text-input {
      width: 100%;
    }
  }

  .mat-table {
    border: 1px solid var(--separations-base);
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    background-color: var(--card-background);
    width: 100%;
    overflow: hidden;

    .mat-header-row {
      display: inline-flex;
      min-width: 100%;
      border-bottom: 1px solid;
      border-color: var(--separations-base);

      .mat-header-cell {
        box-sizing: border-box;
        padding: 16px;

        fw-icon {
          font-size: 18px;
          color: var(--typography-light)
        }
      }

    }

    .mat-row {
      display: inline-flex;
      min-width: 100%;
      color: var(--typography-muted);

      &.selected {
        background-color: var(--primary-hover);
      }

      .mat-cell {
        border-bottom: 1px solid var(--separations-base);
        border-top: 1px solid transparent;
        cursor: pointer;
        padding: 16px;
        box-sizing: border-box;

        &.no-wrap {
          white-space: nowrap;
        }

        &.flex-cell {
          flex: 1;
        }

        p {
          display: inline-flex;
          align-items: center;
          color: var(--typography-muted);
          text-overflow: ellipsis;
          white-space: nowrap;
          overflow: hidden;
        }

        .link {
          color: var(--primary-base);
          display: block;
          align-items: center;
        }

        fw-avatar {
          margin-right: 8px;
        }
      }

      &:hover .mat-cell {
        background-color: var(--primary-hover);
      }

    }
  }
}


.mat-column-type {
  width: 150px;
  min-width: 150px;
  max-width: 150px;
}

.mat-column-name {
  min-width: 200px;
}

.mat-column-online { /* stylelint-disable-line selector-class-pattern */
  width: 60px;
  min-width: 60px;
  max-width: 60px;
}

.mat-column-status { /* stylelint-disable-line selector-class-pattern */
  width: 150px;
  min-width: 150px;
  max-width: 165px;
}

.mat-column-modified { /* stylelint-disable-line selector-class-pattern */
  width: 170px;
  min-width: 170px;
  max-width: 200px;
}

